import { Resource, ResourceProps } from 'aws-cdk-lib';
import { IConstruct } from 'constructs';
import { IHub } from '../securityhub/hub';
export interface SecurityHubOptions {
    readonly enabled?: boolean;
    readonly hub?: IHub;
}
export interface SecurityManagerProps extends ResourceProps {
    readonly autoRemediate?: boolean;
    readonly securityHub?: SecurityHubOptions;
}
export declare class SecurityManager extends Resource {
    readonly autoRemediate: boolean;
    readonly hub?: IHub;
    constructor(scope: IConstruct, id: string, props: SecurityManagerProps);
}
